!SESSION 2018-01-17 01:32:32.826 -----------------------------------------------
eclipse.buildId=4.6.0.I20160606-1100
java.version=1.8.0_112
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments:  -product com.ti.ccstudio.branding.product -product com.ti.ccstudio.branding.product
Command-line arguments:  -os win32 -ws win32 -arch x86 -product com.ti.ccstudio.branding.product -data F:\c28x_ControlStickRTOS\Themis\new_wsControlStick -product com.ti.ccstudio.branding.product

!ENTRY com.ti.common.core 4 0 2018-01-17 01:32:35.284
!MESSAGE path=ccs_base/DebugServer

!ENTRY com.ti.common.core 4 0 2018-01-17 01:32:35.285
!MESSAGE debugServerDir=F:/TI_CCS_7P4/ccsv7/ccs_base/DebugServer

!ENTRY org.eclipse.equinox.event 4 0 2018-01-17 01:32:37.710
!MESSAGE Exception while dispatching event org.osgi.service.event.Event [topic=org/eclipse/e4/ui/model/application/ApplicationElement/tags/ADD] {ChangedElement=org.eclipse.e4.ui.model.application.ui.basic.impl.PartStackImpl@1b79b1f (elementId: org.eclipse.e4.primaryDataStack, tags: [org.eclipse.e4.primaryDataStack, EditorStack, active, Maximized], contributorURI: null) (widget: CTabFolder {}, renderer: org.eclipse.e4.ui.workbench.renderers.swt.StackRenderer@10704a5, toBeRendered: true, onTop: false, visible: true, containerData: null, accessibilityPhrase: null), org.eclipse.e4.data={ChangedElement=org.eclipse.e4.ui.model.application.ui.basic.impl.PartStackImpl@1b79b1f (elementId: org.eclipse.e4.primaryDataStack, tags: [org.eclipse.e4.primaryDataStack, EditorStack, active, Maximized], contributorURI: null) (widget: CTabFolder {}, renderer: org.eclipse.e4.ui.workbench.renderers.swt.StackRenderer@10704a5, toBeRendered: true, onTop: false, visible: true, containerData: null, accessibilityPhrase: null), AttName=tags, EventType=ADD, Position=3, Widget=CTabFolder {}, NewValue=Maximized}, AttName=tags, EventType=ADD, Position=3, Widget=CTabFolder {}, NewValue=Maximized} to handler org.eclipse.e4.ui.internal.di.UIEventObjectSupplier$UIEventHandler@1693526
!STACK 0
org.eclipse.e4.core.di.InjectionException: java.lang.IllegalArgumentException: 
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:64)
	at org.eclipse.e4.ui.internal.di.UIEventObjectSupplier$UIEventHandler$1.run(UIEventObjectSupplier.java:56)
	at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:233)
	at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:145)
	at org.eclipse.swt.widgets.Display.syncExec(Display.java:4813)
	at org.eclipse.e4.ui.internal.workbench.swt.E4Application$1.syncExec(E4Application.java:211)
	at org.eclipse.e4.ui.internal.di.UIEventObjectSupplier$UIEventHandler.handleEvent(UIEventObjectSupplier.java:53)
	at org.eclipse.equinox.internal.event.EventHandlerWrapper.handleEvent(EventHandlerWrapper.java:201)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:197)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148)
	at org.eclipse.equinox.internal.event.EventAdminImpl.dispatchEvent(EventAdminImpl.java:135)
	at org.eclipse.equinox.internal.event.EventAdminImpl.sendEvent(EventAdminImpl.java:78)
	at org.eclipse.equinox.internal.event.EventComponent.sendEvent(EventComponent.java:39)
	at org.eclipse.e4.ui.services.internal.events.EventBroker.send(EventBroker.java:94)
	at org.eclipse.e4.ui.internal.workbench.UIEventPublisher.notifyChanged(UIEventPublisher.java:60)
	at org.eclipse.emf.common.notify.impl.BasicNotifierImpl.eNotify(BasicNotifierImpl.java:374)
	at org.eclipse.emf.ecore.util.EcoreEList.dispatchNotification(EcoreEList.java:249)
	at org.eclipse.emf.common.notify.impl.NotifyingListImpl.addUnique(NotifyingListImpl.java:304)
	at org.eclipse.emf.common.util.AbstractEList.add(AbstractEList.java:303)
	at org.eclipse.ui.internal.WorkbenchIntroManager.setIntroStandby(WorkbenchIntroManager.java:196)
	at org.eclipse.ui.internal.WorkbenchIntroManager.showIntro(WorkbenchIntroManager.java:134)
	at org.eclipse.ui.application.WorkbenchWindowAdvisor.openIntro(WorkbenchWindowAdvisor.java:190)
	at org.eclipse.ui.internal.ide.application.IDEWorkbenchWindowAdvisor.openIntro(IDEWorkbenchWindowAdvisor.java:567)
	at org.eclipse.ui.internal.WorkbenchWindow.setup(WorkbenchWindow.java:776)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:54)
	at org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl.java:966)
	at org.eclipse.e4.core.internal.di.InjectorImpl.inject(InjectorImpl.java:151)
	at org.eclipse.e4.core.internal.di.InjectorImpl.inject(InjectorImpl.java:118)
	at org.eclipse.e4.core.contexts.ContextInjectionFactory.inject(ContextInjectionFactory.java:73)
	at org.eclipse.ui.internal.Workbench.createWorkbenchWindow(Workbench.java:1525)
	at org.eclipse.ui.internal.Workbench.getActiveWorkbenchWindow(Workbench.java:1499)
	at com.ti.ccstudio.debug.ui.targetStatus.TargetStatusManager.addStatusBar(TargetStatusManager.java:379)
	at com.ti.ccstudio.debug.ui.targetStatus.statusBar.TargetStatusBar.fill(TargetStatusBar.java:44)
	at com.ti.ccstudio.debug.ui.targetStatus.statusBar.CCSStatusBar.createControl(CCSStatusBar.java:39)
	at org.eclipse.ui.menus.WorkbenchWindowControlContribution.delegateCreateControl(WorkbenchWindowControlContribution.java:105)
	at org.eclipse.ui.internal.menus.CompatibilityWorkbenchWindowControlContribution.construct(CompatibilityWorkbenchWindowControlContribution.java:90)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:54)
	at org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl.java:966)
	at org.eclipse.e4.core.internal.di.InjectorImpl.inject(InjectorImpl.java:151)
	at org.eclipse.e4.core.internal.di.InjectorImpl.internalMake(InjectorImpl.java:375)
	at org.eclipse.e4.core.internal.di.InjectorImpl.make(InjectorImpl.java:308)
	at org.eclipse.e4.core.contexts.ContextInjectionFactory.make(ContextInjectionFactory.java:186)
	at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.createFromBundle(ReflectionContributionFactory.java:108)
	at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.doCreate(ReflectionContributionFactory.java:74)
	at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.create(ReflectionContributionFactory.java:51)
	at org.eclipse.e4.ui.workbench.renderers.swt.ToolControlContribution.createControl(ToolControlContribution.java:58)
	at org.eclipse.jface.action.ControlContribution.fill(ControlContribution.java:101)
	at org.eclipse.jface.action.ToolBarManager.update(ToolBarManager.java:343)
	at org.eclipse.e4.ui.workbench.renderers.swt.ToolBarManagerRenderer.subscribeTopicUpdateToBeRendered(ToolBarManagerRenderer.java:213)
	at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:54)
	at org.eclipse.e4.ui.internal.di.UIEventObjectSupplier$UIEventHandler$1.run(UIEventObjectSupplier.java:56)
	at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:233)
	at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:145)
	at org.eclipse.swt.widgets.Display.syncExec(Display.java:4813)
	at org.eclipse.e4.ui.internal.workbench.swt.E4Application$1.syncExec(E4Application.java:211)
	at org.eclipse.e4.ui.internal.di.UIEventObjectSupplier$UIEventHandler.handleEvent(UIEventObjectSupplier.java:53)
	at org.eclipse.equinox.internal.event.EventHandlerWrapper.handleEvent(EventHandlerWrapper.java:201)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:197)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148)
	at org.eclipse.equinox.internal.event.EventAdminImpl.dispatchEvent(EventAdminImpl.java:135)
	at org.eclipse.equinox.internal.event.EventAdminImpl.sendEvent(EventAdminImpl.java:78)
	at org.eclipse.equinox.internal.event.EventComponent.sendEvent(EventComponent.java:39)
	at org.eclipse.e4.ui.services.internal.events.EventBroker.send(EventBroker.java:94)
	at org.eclipse.e4.ui.internal.workbench.UIEventPublisher.notifyChanged(UIEventPublisher.java:60)
	at org.eclipse.emf.common.notify.impl.BasicNotifierImpl.eNotify(BasicNotifierImpl.java:374)
	at org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl.setVisible(UIElementImpl.java:345)
	at org.eclipse.e4.ui.workbench.renderers.swt.ToolBarContributionRecord.updateVisibility(ToolBarContributionRecord.java:74)
	at org.eclipse.e4.ui.workbench.renderers.swt.ToolBarManagerRenderer$5.changed(ToolBarManagerRenderer.java:479)
	at org.eclipse.e4.core.internal.contexts.TrackableComputationExt.update(TrackableComputationExt.java:114)
	at org.eclipse.e4.core.internal.contexts.EclipseContext.runAndTrack(EclipseContext.java:324)
	at org.eclipse.e4.ui.workbench.renderers.swt.ToolBarManagerRenderer.processAddition(ToolBarManagerRenderer.java:471)
	at org.eclipse.e4.ui.workbench.renderers.swt.ToolBarManagerRenderer.generateContributions(ToolBarManagerRenderer.java:447)
	at org.eclipse.e4.ui.workbench.renderers.swt.ToolBarManagerRenderer.processContribution(ToolBarManagerRenderer.java:413)
	at org.eclipse.e4.ui.workbench.renderers.swt.ToolBarManagerRenderer.createWidget(ToolBarManagerRenderer.java:373)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createWidget(PartRenderingEngine.java:975)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:651)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:757)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.access$0(PartRenderingEngine.java:728)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$2.run(PartRenderingEngine.java:722)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createGui(PartRenderingEngine.java:706)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.subscribeChildrenHandler(PartRenderingEngine.java:296)
	at sun.reflect.GeneratedMethodAccessor7.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:54)
	at org.eclipse.e4.core.di.internal.extensions.EventObjectSupplier$DIEventHandler.handleEvent(EventObjectSupplier.java:80)
	at org.eclipse.equinox.internal.event.EventHandlerWrapper.handleEvent(EventHandlerWrapper.java:201)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:197)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148)
	at org.eclipse.equinox.internal.event.EventAdminImpl.dispatchEvent(EventAdminImpl.java:135)
	at org.eclipse.equinox.internal.event.EventAdminImpl.sendEvent(EventAdminImpl.java:78)
	at org.eclipse.equinox.internal.event.EventComponent.sendEvent(EventComponent.java:39)
	at org.eclipse.e4.ui.services.internal.events.EventBroker.send(EventBroker.java:94)
	at org.eclipse.e4.ui.internal.workbench.UIEventPublisher.notifyChanged(UIEventPublisher.java:60)
	at org.eclipse.emf.common.notify.impl.BasicNotifierImpl.eNotify(BasicNotifierImpl.java:374)
	at org.eclipse.emf.ecore.util.EcoreEList.dispatchNotification(EcoreEList.java:249)
	at org.eclipse.emf.common.notify.impl.NotifyingListImpl.addUnique(NotifyingListImpl.java:356)
	at org.eclipse.emf.common.util.AbstractEList.add(AbstractEList.java:341)
	at org.eclipse.e4.ui.internal.workbench.ContributionsAnalyzer.processAddition(ContributionsAnalyzer.java:370)
	at org.eclipse.e4.ui.workbench.renderers.swt.TrimBarRenderer.addTrimContributions(TrimBarRenderer.java:171)
	at org.eclipse.e4.ui.workbench.renderers.swt.TrimBarRenderer.processContents(TrimBarRenderer.java:143)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:665)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$1.run(PartRenderingEngine.java:536)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createGui(PartRenderingEngine.java:520)
	at org.eclipse.e4.ui.workbench.renderers.swt.WBWRenderer.processContents(WBWRenderer.java:747)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:665)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:757)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.access$0(PartRenderingEngine.java:728)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$2.run(PartRenderingEngine.java:722)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createGui(PartRenderingEngine.java:706)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1059)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:687)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:604)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
Caused by: java.lang.IllegalArgumentException: 
	at org.eclipse.core.runtime.Assert.isLegal(Assert.java:63)
	at org.eclipse.core.runtime.Assert.isLegal(Assert.java:47)
	at org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.findElementsRecursive(ModelServiceImpl.java:145)
	at org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.findElements(ModelServiceImpl.java:394)
	at org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.findElements(ModelServiceImpl.java:380)
	at org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.getActivePerspective(ModelServiceImpl.java:959)
	at org.eclipse.e4.ui.workbench.addons.minmax.MinMaxAddon.getElementsToMinimize(MinMaxAddon.java:680)
	at org.eclipse.e4.ui.workbench.addons.minmax.MinMaxAddon.maximize(MinMaxAddon.java:655)
	at org.eclipse.e4.ui.workbench.addons.minmax.MinMaxAddon.subscribeTopicTagsChanged(MinMaxAddon.java:363)
	at sun.reflect.GeneratedMethodAccessor2.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:54)
	... 150 more

!ENTRY org.eclipse.cdt.core 1 0 2018-01-17 01:34:31.192
!MESSAGE Indexed 'usb_dev_serial' (9 sources, 56 headers) in 1.35 sec: 6,921 declarations; 8,413 references; 0 unresolved inclusions; 192 syntax errors; 128 unresolved names (0.83%)

!ENTRY com.ti.ccstudio.debug 1 0 2018-01-17 01:38:23.830
!MESSAGE DS_ERROR: C28xx: Error connecting to the target: (Error -1135 @ 0x0) The debug probe reported an error. Confirm debug probe configuration and connections, reset the debug probe, and retry the operation. (Emulation package 7.0.100.1) 


!ENTRY com.ti.ccstudio.debug 1 0 2018-01-17 01:38:23.978
!MESSAGE DS_ERROR: Error connecting to the target:
(Error -1135 @ 0x0)
The debug probe reported an error. Confirm debug probe configuration and connections, reset the debug probe, and retry the operation.
(Emulation package 7.0.100.1)


!ENTRY com.ti.ccstudio.debug 1 0 2018-01-17 01:38:32.685
!MESSAGE DS_ERROR: C28xx: Error connecting to the target: (Error -1135 @ 0x0) The debug probe reported an error. Confirm debug probe configuration and connections, reset the debug probe, and retry the operation. (Emulation package 7.0.100.1) 


!ENTRY com.ti.ccstudio.debug 1 0 2018-01-17 01:38:32.695
!MESSAGE DS_ERROR: Error connecting to the target:
(Error -1135 @ 0x0)
The debug probe reported an error. Confirm debug probe configuration and connections, reset the debug probe, and retry the operation.
(Emulation package 7.0.100.1)


!ENTRY org.eclipse.equinox.event 4 0 2018-01-17 01:39:45.957
!MESSAGE Exception while dispatching event org.osgi.service.event.Event [topic=org/eclipse/e4/ui/model/ui/ElementContainer/selectedElement/SET] {ChangedElement=org.eclipse.e4.ui.model.application.ui.advanced.impl.PerspectiveStackImpl@978637 (elementId: org.eclipse.ui.ide.perspectivestack, tags: [], contributorURI: null) (widget: Composite {}, renderer: org.eclipse.e4.ui.workbench.renderers.swt.PerspectiveStackRenderer@3bf37c, toBeRendered: true, onTop: false, visible: true, containerData: 7500, accessibilityPhrase: null), org.eclipse.e4.data={ChangedElement=org.eclipse.e4.ui.model.application.ui.advanced.impl.PerspectiveStackImpl@978637 (elementId: org.eclipse.ui.ide.perspectivestack, tags: [], contributorURI: null) (widget: Composite {}, renderer: org.eclipse.e4.ui.workbench.renderers.swt.PerspectiveStackRenderer@3bf37c, toBeRendered: true, onTop: false, visible: true, containerData: 7500, accessibilityPhrase: null), AttName=selectedElement, EventType=SET, OldValue=org.eclipse.e4.ui.model.application.ui.advanced.impl.PerspectiveImpl@11d8d6 (elementId: com.ti.ccstudio.TICPerspective, tags: [persp.actionSet:org.eclipse.ui.cheatsheets.actionSet, persp.actionSet:org.eclipse.rse.core.search.searchActionSet, persp.actionSet:org.eclipse.search.searchActionSet, persp.actionSet:org.eclipse.ui.edit.text.actionSet.annotationNavigation, persp.actionSet:org.eclipse.ui.edit.text.actionSet.navigation, persp.actionSet:org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo, persp.actionSet:org.eclipse.ui.externaltools.ExternalToolsSet, persp.actionSet:org.eclipse.ui.actionSet.keyBindings, persp.actionSet:org.eclipse.ui.actionSet.openFiles, persp.actionSet:com.ti.dvt.ccstudioideadapter.ui.DVTActionSet, persp.actionSet:org.eclipse.rtsc.xdctools.sg.actionSet, persp.actionSet:org.eclipse.rtsc.xdctools.ui.cdt.actionSet2, persp.perspSC:com.ti.ccstudio.TIDebugPerspective, persp.actionSet:org.eclipse.cdt.ui.buildConfigActionSet, persp.actionSet:org.eclipse.debug.ui.launchActionSet, persp.actionSet:org.eclipse.ui.edit.text.actionSet.presentation, persp.actionSet:com.ti.ccstudio.debug.ui.debugActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.perspective.edit.actionSet, persp.actionSet:com.ti.ccstudio.debug.ui.breakpointActionSet, persp.actionSet:org.eclipse.debug.ui.breakpointActionSet, persp.viewSC:org.eclipse.ui.navigator.ProjectExplorer, persp.viewSC:org.eclipse.ui.views.ContentOutline, persp.viewSC:com.ti.ccstudio.system.setup.ui.views.TargetConfigurationView, persp.viewSC:com.ti.ccstudio.project.ui.views.AdviceView, persp.viewSC:org.eclipse.ui.views.ProblemView, persp.viewSC:org.eclipse.ui.console.ConsoleView, persp.viewSC:org.eclipse.ui.views.ResourceNavigator, persp.viewSC:org.eclipse.pde.runtime.LogView, persp.viewSC:com.ti.ccstudio.scripting.console.ConsoleView, persp.viewSC:com.ti.ccstudio.project.ui.views.MemoryAllocationView, persp.viewSC:com.ti.ccstudio.project.ui.views.StackUsageView, persp.viewSC:com.ti.ccstudio.project.ui.views.OptimizerAssistantView, persp.newWizSC:com.ti.ccstudio.project.ui.wizards.project.NewCCSProjectWizard_old, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewSourceFileCreationWizard, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewHeaderFileCreationWizard, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewClassCreationWizard, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewFileCreationWizard, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewFolderCreationWizard, persp.newWizSC:com.ti.ccstudio.system.setup.editor.wizards.SystemSetupNewWizard, persp.newWizSC:com.ti.ccstudio.project.ui.wizards.project.NewCCSProjectWizard, persp.newWizSC:com.ti.ccstudio.energia.wizards.project.NewSketchWizard, persp.actionSet:com.ti.ccstudio.project.ui.projectActionSet, persp.actionSet:com.ti.ccstudio.project.ui.projectBuildActionSet, persp.actionSet:com.ti.dvt.energytrace.actionSet, persp.viewSC:com.ti.grace.ui.snippets.views.SnippetsView, persp.newWizSC:org.eclipse.rtsc.builddefinitions.dspbios.ui.DSPBIOSCreateNew, persp.newWizSC:org.eclipse.rtsc.xdctools.ui.cdt.wizards.configfile.RTSCConfigFileWizard, persp.showIn:org.eclipse.tm.terminal.view.ui.TerminalsView], contributorURI: null) (widget: Composite {}, renderer: org.eclipse.e4.ui.workbench.renderers.swt.PerspectiveRenderer@23af91, toBeRendered: true, onTop: false, visible: true, containerData: null, accessibilityPhrase: null) (label: CCS Edit, iconURI: platform:/plugin/com.ti.ccstudio.ui/icons/obj16/ccs_edit.gif, tooltip: null, context: PerspectiveImpl (com.ti.ccstudio.TICPerspective) Context, variables: []), Widget=Composite {}, NewValue=org.eclipse.e4.ui.model.application.ui.advanced.impl.PerspectiveImpl@19a2453 (elementId: com.ti.ccstudio.TIDebugPerspective, tags: [persp.actionSet:org.eclipse.ui.cheatsheets.actionSet, persp.actionSet:org.eclipse.rse.core.search.searchActionSet, persp.actionSet:org.eclipse.search.searchActionSet, persp.actionSet:org.eclipse.ui.edit.text.actionSet.annotationNavigation, persp.actionSet:org.eclipse.ui.edit.text.actionSet.navigation, persp.actionSet:org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo, persp.actionSet:org.eclipse.ui.externaltools.ExternalToolsSet, persp.actionSet:org.eclipse.ui.actionSet.keyBindings, persp.actionSet:org.eclipse.ui.actionSet.openFiles, persp.actionSet:com.ti.dvt.ccstudioideadapter.ui.DVTActionSet, persp.actionSet:org.eclipse.rtsc.xdctools.sg.actionSet, persp.actionSet:org.eclipse.rtsc.xdctools.ui.cdt.actionSet2, persp.perspSC:com.ti.ccstudio.TICPerspective, persp.actionSet:org.eclipse.debug.ui.launchActionSet, persp.actionSet:org.eclipse.debug.ui.debugActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.debugActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.asmSteppingActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.perspective.debug.actionSet, persp.actionSet:org.eclipse.debug.ui.breakpointActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.breakpointActionSet, persp.actionSet:org.eclipse.cdt.dsf.debug.ui.updateModes, persp.viewSC:org.eclipse.debug.ui.DebugView, persp.viewSC:org.eclipse.debug.ui.VariableView, persp.viewSC:org.eclipse.debug.ui.ExpressionView, persp.viewSC:org.eclipse.debug.ui.RegisterView, persp.viewSC:org.eclipse.debug.ui.BreakpointView, persp.viewSC:org.eclipse.cdt.dsf.debug.ui.disassembly.view, persp.viewSC:com.ti.ccstudio.system.setup.ui.views.TargetConfigurationView, persp.viewSC:org.eclipse.cdt.debug.ui.memory.memorybrowser.MemoryBrowser, persp.viewSC:org.eclipse.ui.views.ContentOutline, persp.viewSC:org.eclipse.ui.console.ConsoleView, persp.viewSC:org.eclipse.pde.runtime.LogView, persp.viewSC:com.ti.ccstudio.scripting.console.ConsoleView, persp.newWizSC:com.ti.ccstudio.system.setup.editor.wizards.SystemSetupNewWizard, persp.viewSC:com.ti.ccstudio.debug.trace.ui.TraceView, persp.actionSet:com.ti.ccstudio.project.ui.projectActionSet_debugPerspective, persp.actionSet:com.ti.ccstudio.project.ui.projectBuildActionSet_debugPerspective, persp.actionSet:com.ti.dvt.dvtAnalysisFeatures, persp.actionSet:com.ti.dvt.energytrace.actionSet, persp.actionSet:com.ti.dvt.graph.visualization.graph, persp.actionSet:com.ti.dvt.profile.setup.actionSet, persp.actionSet:com.ti.dvt.profiler.actionSet, persp.actionSet:com.ti.dvt.rovsupport, persp.actionSet:com.ti.dvt.via.plugin.ActionSet, persp.showIn:org.eclipse.tm.terminal.view.ui.TerminalsView], contributorURI: null) (widget: Composite {}, renderer: org.eclipse.e4.ui.workbench.renderers.swt.PerspectiveRenderer@23af91, toBeRendered: true, onTop: false, visible: true, containerData: null, accessibilityPhrase: null) (label: CCS Debug, iconURI: platform:/plugin/com.ti.ccstudio.ui/icons/obj16/ccs_debug.gif, tooltip: null, context: PerspectiveImpl (com.ti.ccstudio.TIDebugPerspective) Context, variables: [])}, AttName=selectedElement, EventType=SET, OldValue=org.eclipse.e4.ui.model.application.ui.advanced.impl.PerspectiveImpl@11d8d6 (elementId: com.ti.ccstudio.TICPerspective, tags: [persp.actionSet:org.eclipse.ui.cheatsheets.actionSet, persp.actionSet:org.eclipse.rse.core.search.searchActionSet, persp.actionSet:org.eclipse.search.searchActionSet, persp.actionSet:org.eclipse.ui.edit.text.actionSet.annotationNavigation, persp.actionSet:org.eclipse.ui.edit.text.actionSet.navigation, persp.actionSet:org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo, persp.actionSet:org.eclipse.ui.externaltools.ExternalToolsSet, persp.actionSet:org.eclipse.ui.actionSet.keyBindings, persp.actionSet:org.eclipse.ui.actionSet.openFiles, persp.actionSet:com.ti.dvt.ccstudioideadapter.ui.DVTActionSet, persp.actionSet:org.eclipse.rtsc.xdctools.sg.actionSet, persp.actionSet:org.eclipse.rtsc.xdctools.ui.cdt.actionSet2, persp.perspSC:com.ti.ccstudio.TIDebugPerspective, persp.actionSet:org.eclipse.cdt.ui.buildConfigActionSet, persp.actionSet:org.eclipse.debug.ui.launchActionSet, persp.actionSet:org.eclipse.ui.edit.text.actionSet.presentation, persp.actionSet:com.ti.ccstudio.debug.ui.debugActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.perspective.edit.actionSet, persp.actionSet:com.ti.ccstudio.debug.ui.breakpointActionSet, persp.actionSet:org.eclipse.debug.ui.breakpointActionSet, persp.viewSC:org.eclipse.ui.navigator.ProjectExplorer, persp.viewSC:org.eclipse.ui.views.ContentOutline, persp.viewSC:com.ti.ccstudio.system.setup.ui.views.TargetConfigurationView, persp.viewSC:com.ti.ccstudio.project.ui.views.AdviceView, persp.viewSC:org.eclipse.ui.views.ProblemView, persp.viewSC:org.eclipse.ui.console.ConsoleView, persp.viewSC:org.eclipse.ui.views.ResourceNavigator, persp.viewSC:org.eclipse.pde.runtime.LogView, persp.viewSC:com.ti.ccstudio.scripting.console.ConsoleView, persp.viewSC:com.ti.ccstudio.project.ui.views.MemoryAllocationView, persp.viewSC:com.ti.ccstudio.project.ui.views.StackUsageView, persp.viewSC:com.ti.ccstudio.project.ui.views.OptimizerAssistantView, persp.newWizSC:com.ti.ccstudio.project.ui.wizards.project.NewCCSProjectWizard_old, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewSourceFileCreationWizard, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewHeaderFileCreationWizard, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewClassCreationWizard, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewFileCreationWizard, persp.newWizSC:org.eclipse.cdt.ui.wizards.NewFolderCreationWizard, persp.newWizSC:com.ti.ccstudio.system.setup.editor.wizards.SystemSetupNewWizard, persp.newWizSC:com.ti.ccstudio.project.ui.wizards.project.NewCCSProjectWizard, persp.newWizSC:com.ti.ccstudio.energia.wizards.project.NewSketchWizard, persp.actionSet:com.ti.ccstudio.project.ui.projectActionSet, persp.actionSet:com.ti.ccstudio.project.ui.projectBuildActionSet, persp.actionSet:com.ti.dvt.energytrace.actionSet, persp.viewSC:com.ti.grace.ui.snippets.views.SnippetsView, persp.newWizSC:org.eclipse.rtsc.builddefinitions.dspbios.ui.DSPBIOSCreateNew, persp.newWizSC:org.eclipse.rtsc.xdctools.ui.cdt.wizards.configfile.RTSCConfigFileWizard, persp.showIn:org.eclipse.tm.terminal.view.ui.TerminalsView], contributorURI: null) (widget: Composite {}, renderer: org.eclipse.e4.ui.workbench.renderers.swt.PerspectiveRenderer@23af91, toBeRendered: true, onTop: false, visible: true, containerData: null, accessibilityPhrase: null) (label: CCS Edit, iconURI: platform:/plugin/com.ti.ccstudio.ui/icons/obj16/ccs_edit.gif, tooltip: null, context: PerspectiveImpl (com.ti.ccstudio.TICPerspective) Context, variables: []), Widget=Composite {}, NewValue=org.eclipse.e4.ui.model.application.ui.advanced.impl.PerspectiveImpl@19a2453 (elementId: com.ti.ccstudio.TIDebugPerspective, tags: [persp.actionSet:org.eclipse.ui.cheatsheets.actionSet, persp.actionSet:org.eclipse.rse.core.search.searchActionSet, persp.actionSet:org.eclipse.search.searchActionSet, persp.actionSet:org.eclipse.ui.edit.text.actionSet.annotationNavigation, persp.actionSet:org.eclipse.ui.edit.text.actionSet.navigation, persp.actionSet:org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo, persp.actionSet:org.eclipse.ui.externaltools.ExternalToolsSet, persp.actionSet:org.eclipse.ui.actionSet.keyBindings, persp.actionSet:org.eclipse.ui.actionSet.openFiles, persp.actionSet:com.ti.dvt.ccstudioideadapter.ui.DVTActionSet, persp.actionSet:org.eclipse.rtsc.xdctools.sg.actionSet, persp.actionSet:org.eclipse.rtsc.xdctools.ui.cdt.actionSet2, persp.perspSC:com.ti.ccstudio.TICPerspective, persp.actionSet:org.eclipse.debug.ui.launchActionSet, persp.actionSet:org.eclipse.debug.ui.debugActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.debugActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.asmSteppingActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.perspective.debug.actionSet, persp.actionSet:org.eclipse.debug.ui.breakpointActionSet, persp.actionSet:com.ti.ccstudio.debug.ui.breakpointActionSet, persp.actionSet:org.eclipse.cdt.dsf.debug.ui.updateModes, persp.viewSC:org.eclipse.debug.ui.DebugView, persp.viewSC:org.eclipse.debug.ui.VariableView, persp.viewSC:org.eclipse.debug.ui.ExpressionView, persp.viewSC:org.eclipse.debug.ui.RegisterView, persp.viewSC:org.eclipse.debug.ui.BreakpointView, persp.viewSC:org.eclipse.cdt.dsf.debug.ui.disassembly.view, persp.viewSC:com.ti.ccstudio.system.setup.ui.views.TargetConfigurationView, persp.viewSC:org.eclipse.cdt.debug.ui.memory.memorybrowser.MemoryBrowser, persp.viewSC:org.eclipse.ui.views.ContentOutline, persp.viewSC:org.eclipse.ui.console.ConsoleView, persp.viewSC:org.eclipse.pde.runtime.LogView, persp.viewSC:com.ti.ccstudio.scripting.console.ConsoleView, persp.newWizSC:com.ti.ccstudio.system.setup.editor.wizards.SystemSetupNewWizard, persp.viewSC:com.ti.ccstudio.debug.trace.ui.TraceView, persp.actionSet:com.ti.ccstudio.project.ui.projectActionSet_debugPerspective, persp.actionSet:com.ti.ccstudio.project.ui.projectBuildActionSet_debugPerspective, persp.actionSet:com.ti.dvt.dvtAnalysisFeatures, persp.actionSet:com.ti.dvt.energytrace.actionSet, persp.actionSet:com.ti.dvt.graph.visualization.graph, persp.actionSet:com.ti.dvt.profile.setup.actionSet, persp.actionSet:com.ti.dvt.profiler.actionSet, persp.actionSet:com.ti.dvt.rovsupport, persp.actionSet:com.ti.dvt.via.plugin.ActionSet, persp.showIn:org.eclipse.tm.terminal.view.ui.TerminalsView], contributorURI: null) (widget: Composite {}, renderer: org.eclipse.e4.ui.workbench.renderers.swt.PerspectiveRenderer@23af91, toBeRendered: true, onTop: false, visible: true, containerData: null, accessibilityPhrase: null) (label: CCS Debug, iconURI: platform:/plugin/com.ti.ccstudio.ui/icons/obj16/ccs_debug.gif, tooltip: null, context: PerspectiveImpl (com.ti.ccstudio.TIDebugPerspective) Context, variables: [])} to handler org.eclipse.e4.ui.services.internal.events.UIEventHandler@1e12f
!STACK 0
java.lang.NullPointerException
	at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.switchPerspective(PartServiceImpl.java:653)
	at org.eclipse.e4.ui.workbench.renderers.swt.PerspectiveStackRenderer.showTab(PerspectiveStackRenderer.java:106)
	at org.eclipse.e4.ui.workbench.renderers.swt.LazyStackRenderer$1.handleEvent(LazyStackRenderer.java:72)
	at org.eclipse.e4.ui.services.internal.events.UIEventHandler$1.run(UIEventHandler.java:40)
	at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:233)
	at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:145)
	at org.eclipse.swt.widgets.Display.syncExec(Display.java:4813)
	at org.eclipse.e4.ui.internal.workbench.swt.E4Application$1.syncExec(E4Application.java:211)
	at org.eclipse.e4.ui.services.internal.events.UIEventHandler.handleEvent(UIEventHandler.java:36)
	at org.eclipse.equinox.internal.event.EventHandlerWrapper.handleEvent(EventHandlerWrapper.java:201)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:197)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148)
	at org.eclipse.equinox.internal.event.EventAdminImpl.dispatchEvent(EventAdminImpl.java:135)
	at org.eclipse.equinox.internal.event.EventAdminImpl.sendEvent(EventAdminImpl.java:78)
	at org.eclipse.equinox.internal.event.EventComponent.sendEvent(EventComponent.java:39)
	at org.eclipse.e4.ui.services.internal.events.EventBroker.send(EventBroker.java:94)
	at org.eclipse.e4.ui.internal.workbench.UIEventPublisher.notifyChanged(UIEventPublisher.java:60)
	at org.eclipse.emf.common.notify.impl.BasicNotifierImpl.eNotify(BasicNotifierImpl.java:374)
	at org.eclipse.e4.ui.model.application.ui.advanced.impl.PerspectiveStackImpl.setSelectedElement(PerspectiveStackImpl.java:135)
	at org.eclipse.e4.ui.model.application.ui.advanced.impl.PerspectiveStackImpl.setSelectedElement(PerspectiveStackImpl.java:1)
	at org.eclipse.ui.internal.WorkbenchPage.setPerspective(WorkbenchPage.java:4056)
	at org.eclipse.ui.internal.Workbench.activate(Workbench.java:3052)
	at org.eclipse.ui.internal.Workbench.showPerspective(Workbench.java:3074)
	at org.eclipse.ui.internal.Workbench.showPerspective(Workbench.java:3041)
	at org.eclipse.debug.internal.ui.launchConfigurations.PerspectiveManager.switchToPerspective(PerspectiveManager.java:390)
	at org.eclipse.debug.internal.ui.launchConfigurations.PerspectiveManager$2.runInUIThread(PerspectiveManager.java:369)
	at org.eclipse.debug.internal.ui.launchConfigurations.PerspectiveManager$MyUIJob$1.run(PerspectiveManager.java:229)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4203)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3819)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:687)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:604)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
